@import "../../../assets/styles/main.scss";

.customerSupportContainer {
  width: 100%;
  display: flex;
  flex-direction: row;

  @include md {
    flex-direction: column;
  }
  &_leftSection {
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/customer_support_bg_img_black.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }
  &_rightSection {
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/customer_support_bg_img_orange.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }
  &_leftSection,
  &_rightSection {
    width: 100%;
    padding: 80px 0px 100px 0px;
    gap: 50px;
    flex-direction: row;
    display: flex;
    justify-content: center;
    background-color:  getColorHex("blue") ;
     color:  getColorHex("white");
    position: relative;
    @include xxl {
      gap: 35px;
      padding: 60px 0px;
    }
    @include xl {
      padding: 50px 10px;
      gap: 10px;
    }
    @include lg {
      padding: 40px 10px;
      gap: 40px;
    }

    @include md {
      flex-direction: column;
      align-items: center;
      gap: 30px;
    }

    &_cloudLayerImage {
      position: absolute;
      top: 17px;
      left: 21px;
      z-index: 99999;

      @include xs {
        left: 30px;
      }

      &_image {
        width: 164px;
        height: 69px;
        @include xxl {
          width: 92px;
          height: 39px;
        }
        @include lg {
          width: 47px;
          height: 20px;
        }

        @include xs {
          width: 96px;
          height: 40px;
        }

        img {
          height: 100%;
          width: 100%;
          object-fit: contain !important;
        }
      }
    }

    &_leftColumn {
      max-width: 381px;
      h2 {
        @include kabutHitam400;
        font-size: 89px;
        line-height: 102.35px;
        text-align: left;
        padding-bottom: 45px;
        @include xxl {
          font-size: 65px;
          padding-bottom: 32px;
        }
        @include xl {
          font-size: 45px;
        }
        @include lg {
          font-size: 45px;
          line-height: normal;
        }
        span {
          color: getColorHex("orange");
          position: relative;
          &::before {
            content: "";
            position: absolute;
            bottom: -46%;
            right: -87%;
            transform: translate(-50%, -50%);
            width: 186px;
            height: 16px;
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/customer_support_orange.svg);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: center;
            @include xxl {
              width: 110px;
              right: -60%;
            }
            @include xl {
              width: 95px;
              right: -83%;
            }
          }
        }

        @include sm {
          font-size: 49px;
          line-height: 56.35px;
        }
      }

      p {
        @include inter700;
        font-size: 20px;
        line-height: 35px;
        width: 381px;
        color:  getColorHex("white");
        @include xxl {
          width: 341px;
        }
        @include xl {
          font-size: 16px;
          width: auto;
        }
        @include lg {
          font-size: 12px;
          line-height: 175.023%;
        }

        @include sm {
          font-size: 14px;
          line-height: 24.5px;
          max-width: 282px;
        }
      }
    }
    &_rightColumn {
      display: flex;
      align-items: center;
      width: 329px;
      @include xxl {
        width: 247px;
      }

      @include lg {
        width: 166px;
      }

      @include md {
        justify-content: center;
        width: 100%;
      }

      &_image {
        width: 100%;
        height: 100%;

        @include md {
          width: 192.71px;
          height: 171px;
        }

        img {
          height: 100%;
          width: 100%;
          object-fit: contain !important;
        }
      }
    }
  }

  &_rightSection {
    background-color: getColorHex("orange");

    &_leftColumn {
      h2 {
         color:  getColorHex("white");
        span {
          color: #1e293b;
          position: relative;
          &::before {
            content: "";
            position: absolute;
            bottom: -26%;
            right: -97%;
            transform: translate(-50%, -50%);
            width: 186px;
            height: 16px;
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/customer_support_black.svg);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: center;
            @include xxl {
              width: 116px;
              right: -72%;
            }
            @include xl {
              width: 95px;
              right: -92%;
              bottom: -38%;
            }
            @include lg {
            }
          }
        }
      }
    }
  }

  &_button {
    padding: 32px 0 0 0;
    @include lg {
      padding: 20px 0 0 0;
    }

    @include xs {
      padding: 22px 0 0 0;
    }

    button {
      @include inter700;
      text-transform: unset;
      padding: 15px 30px;
      @include xl {
        font-size: 18px;
        padding: 15px 20px;
      }

      @include lg {
        font-size: 15px;
        padding: 10px 20px;
      }

      @include md {
        padding: 10px 20px;
        font-size: 17px;
      }

      @include xs {
        font-size: 14px;
        line-height: 20px;
        min-width: 97px;
        padding: 5px 10px;
      }
    }
  }
}
